package cz.davidak.ftpcam;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;
import android.util.Log;
import android.widget.Toast;

/**
 * Created by Administrator on 18.12.2015.
 */
public class FTPCamServiceReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        if (Intent.ACTION_BOOT_COMPLETED.equals(intent.getAction())) {
            FtpLog.putLog("BOOT: PHONE ON", context);
            SharedPreferences SP = PreferenceManager.getDefaultSharedPreferences(context);
            boolean serviceON = SP.getBoolean("service_on", false);
            boolean onStartON = SP.getBoolean("pref_run_on_start", false);
            SharedPreferences.Editor editor = SP.edit();

            if(onStartON)
            {
                editor.putBoolean("service_on", true);
                editor.commit();
                Intent serviceIntent = new Intent(context, CaptureService.class);
                context.startService(serviceIntent);
            }
            else
            {
                editor.putBoolean("service_on", false);
                editor.commit();
            }
        }
    }
}
